Locations
Locations represent physical or logical places in your organisation, such as a floor, building or site. Use these endpoints to list and look up locations, create or update one, and manage which users are assigned to them.
List locations
Lists the locations in your organisation.
This endpoint supports paging. By default the API will return 100 locations, configurable up to a maximum of 1000 locations at a time. If the result from a previous call includes a next value in the result set you can use the value returned as the next parameter in the query string to retrieve the next page of results.
query Parameters
Headers
AuthorizationAuthorization header bearing the access token
List locations › Responses
Locations
The list of locations returned by the query.
Create a location
Create a location with the given name.
If a location with the same name already exists, the existing location is returned.
Headers
AuthorizationAuthorization header bearing the access token
Create a location › Responses
The location
idThe ID of the location
nameThe name of the location
Get a location
Retrieves a location in your organisation.
path Parameters
locationIdThe location ID
Headers
AuthorizationAuthorization header bearing the access token
Get a location › Responses
Location
idThe ID of the location
nameThe name of the location
List the users in a location
Lists the users in the specified location in your organisation.
This endpoint supports paging. By default the API will return 100 users, configurable up to a maximum of 1000 users at a time. If the result from a previous call includes a next value in the result set you can use the value returned as the next parameter in the query string to retrieve the next page of results.
path Parameters
locationIdThe location ID
query Parameters
Headers
AuthorizationAuthorization header bearing the access token
List the users in a location › Responses
Users
Add a user to a location
Add a user to the specified location. If the user is already in the location, the request succeeds with no change.
path Parameters
locationIdThe location ID
userIdThe user ID
Headers
AuthorizationAuthorization header bearing the access token
Add a user to a location › Responses
The user has been added to the location
Remove a user from a location
Remove a user from a specified location. If the user is not in the location, the request succeeds with no change.
path Parameters
locationIdThe location ID
userIdThe user ID
Headers
AuthorizationAuthorization header bearing the access token
Remove a user from a location › Responses
Successfully removed the user from the location